import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import { useState } from 'react';
import { ContextMenu } from './ContextMenu.js';

const WithContextMenu = ({ children, renderMenuItems, focusOnOpen = true }) => {
  var _a;
  const [isMenuOpen, setIsMenuOpen] = useState(false);
  const [menuPosition, setMenuPosition] = useState({ x: 0, y: 0 });
  const isBodyScrolling = (_a = window.grafanaBootData) == null ? void 0 : _a.settings.featureToggles.bodyScrolling;
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    children({
      openMenu: (e) => {
        setIsMenuOpen(true);
        setMenuPosition({
          x: e.pageX,
          y: isBodyScrolling ? e.pageY - window.scrollY : e.pageY
        });
      }
    }),
    isMenuOpen && /* @__PURE__ */ jsx(
      ContextMenu,
      {
        onClose: () => setIsMenuOpen(false),
        x: menuPosition.x,
        y: menuPosition.y,
        renderMenuItems,
        focusOnOpen
      }
    )
  ] });
};

export { WithContextMenu };
//# sourceMappingURL=WithContextMenu.js.map
